MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::TaylorMolecularEnergy Class Reference
Inheritance diagram for sc::TaylorMolecularEnergy:

List of all members.

## Public Member Functions

| TaylorMolecularEnergy (const Ref< KeyVal > &)
| TaylorMolecularEnergy (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | print (std::ostream &=ExEnv::out0()) const
| Print information about the object.
void | compute ()
| Recompute at least the results that have compute true and are not already computed.
int | value_implemented () const
| Information about the availability of values, gradients, and hessians.
int | gradient_implemented () const
int | hessian_implemented () const

## Member Function Documentation

void sc::TaylorMolecularEnergy::compute | ( |  | ) | `[virtual]`

Recompute at least the results that have compute true and are not already computed.

This should only be called by Result's members.

Implements sc::Compute.

void sc::TaylorMolecularEnergy::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularEnergy.

int sc::TaylorMolecularEnergy::value_implemented | ( |  | ) | const`[virtual]`

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

The documentation for this class was generated from the following file:

- taylor.h